#include<iostream>
#include<cmath>
using namespace std;
	int main()
	{
		int n = 0;
		int a = 0;
		cin >> n;
		for (int i = 1; i <= n; i++)
		{
			a = 0; 
			for (int o = 1; o < i; o++)
			{
				if (i% o == 0)
				{
					a = a + o;
				}
				
			}
			if (a == i)
				{
					cout << a << " ";
				}
		}

	}
